AMG_Root.cpp File Reference
`#include "Paso.h"`
`#include "BOOMERAMG.h"`
`#include "Options.h"`
`#include "Preconditioner.h"`
`#include <iostream>`

## Namespaces

| paso

## Functions

void | paso::Preconditioner_AMG_Root_free (Preconditioner_AMG_Root *in)
Preconditioner_AMG_Root * | paso::Preconditioner_AMG_Root_alloc (SystemMatrix_ptr A, Options *options)
void | paso::Preconditioner_AMG_Root_solve (SystemMatrix_ptr A, Preconditioner_AMG_Root *prec, double *x, double *b)